package com.jkcredit.invoice.model.entity.calculate;

/**
 * 自有车计费
 * @author mumuxigua
 */
public class SelfCarCalculateInfor {
    private Long id;
    /**
     * 客户号
     */
    private String customId;


    /**
     * 主体名称
     */
    private String companyLongName;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 税号
     */
    private String companyReferencenum;

    /**
     * 公司编号
     */
    private String companyNum;
    /**
     * etc卡号
     */
    private String etcNum;
    /**
     * 计费费用
     */
    private Double fee;

    /**
     * 计费年月
     */
    private String calTime;

    /**
     * 本系统实际计费时间
     */
    private String actCalTime;

    private String calTimeStart;

    private String calTimeEnd;

    private String actCalTimeStart;

    private String actCalTimeEnd;
    /**
     * 开票时间
     */
    private String invoiceMkTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCustomId() {
        return customId;
    }

    public void setCustomId(String customId) {
        this.customId = customId;
    }

    public String getCompanyNum() {
        return companyNum;
    }

    public void setCompanyNum(String companyNum) {
        this.companyNum = companyNum;
    }

    public String getEtcNum() {
        return etcNum;
    }

    public void setEtcNum(String etcNum) {
        this.etcNum = etcNum;
    }

    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    public String getCalTime() {
        return calTime;
    }

    public void setCalTime(String calTime) {
        this.calTime = calTime;
    }

    public String getInvoiceMkTime() {
        return invoiceMkTime;
    }

    public void setInvoiceMkTime(String invoiceMkTime) {
        this.invoiceMkTime = invoiceMkTime;
    }

    public String getCompanyReferencenum() {
        return companyReferencenum;
    }

    public void setCompanyReferencenum(String companyReferencenum) {
        this.companyReferencenum = companyReferencenum;
    }

    public String getCalTimeStart() {
        return calTimeStart;
    }

    public void setCalTimeStart(String calTimeStart) {
        this.calTimeStart = calTimeStart;
    }

    public String getCalTimeEnd() {
        return calTimeEnd;
    }

    public void setCalTimeEnd(String calTimeEnd) {
        this.calTimeEnd = calTimeEnd;
    }

    public String getCompanyLongName() {
        return companyLongName;
    }

    public void setCompanyLongName(String companyLongName) {
        this.companyLongName = companyLongName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getActCalTime() {
        return actCalTime;
    }

    public void setActCalTime(String actCalTime) {
        this.actCalTime = actCalTime;
    }

    public String getActCalTimeStart() {
        return actCalTimeStart;
    }

    public void setActCalTimeStart(String actCalTimeStart) {
        this.actCalTimeStart = actCalTimeStart;
    }

    public String getActCalTimeEnd() {
        return actCalTimeEnd;
    }

    public void setActCalTimeEnd(String actCalTimeEnd) {
        this.actCalTimeEnd = actCalTimeEnd;
    }

    @Override
    public String toString() {
        return "SelfCarCalculateInfor{" +
                "id=" + id +
                ", customId='" + customId + '\'' +
                ", companyLongName='" + companyLongName + '\'' +
                ", companyName='" + companyName + '\'' +
                ", companyReferencenum='" + companyReferencenum + '\'' +
                ", companyNum='" + companyNum + '\'' +
                ", etcNum='" + etcNum + '\'' +
                ", fee=" + fee +
                ", calTime='" + calTime + '\'' +
                ", calTimeStart='" + calTimeStart + '\'' +
                ", calTimeEnd='" + calTimeEnd + '\'' +
                ", invoiceMkTime='" + invoiceMkTime + '\'' +
                '}';
    }
}
